Class UmlSendSignalAction

Declaration :

- C++ : class UmlSendSignalAction : public UmlBaseSendSignalAction
- Java : class UmlSendSignalAction extends UmlBaseSendSignalAction

Artifact : UmlActivityActionClasses

Operation UmlSendSignalAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlSendSignalAction(in id : item_id, in s : string) :
- C++ : public: UmlSendSignalAction(void * id, const QCString & s) : UmlBaseSendSignalAction(id, s)
- Java : public UmlSendSignalAction(long id, String s)

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , cppSignal , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaSignal , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_CppSignal , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaSignal , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Signal , set_Stereotype , signal , stereotype , supportFile , unload , unload , unload